Bug 1655725 (python-missingno) - Review Requests: python-missingno - Missing data visualization module for Python
Summary: Review Requests: python-missingno - Missing data visualization module for Python
Keywords:
Status: CLOSED ERRATA
Alias: python-missingno
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Ankur Sinha (FranciscoD)
URL:
Whiteboard:
Depends On:
Blocks: fedora-neuro
TreeView+ depends on / blocked
 
Reported: 2018-12-03 19:03 UTC by Luis Bazan
Modified: 2019-03-29 21:03 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-29 19:19:18 UTC
sanjay.ankur: fedora-review+


Attachments (Terms of Use)

Description Luis Bazan 2018-12-03 19:03:47 UTC
Spec URL: https://lbazan.fedorapeople.org/python-missingno.spec
SRPM URL: https://lbazan.fedorapeople.org/python-missingno-0.4.0-1.fc29.src.rpm

Description:
Missing data visualization module for Python.

Fedora Account System Username: lbazan

Comment 1 Ankur Sinha (FranciscoD) 2018-12-14 13:24:54 UTC
Reviewing this now. Thank both :)

Comment 2 Ankur Sinha (FranciscoD) 2018-12-14 14:38:19 UTC
Looks pretty good. A few nitpicks before it is approved:

- Maybe improve the description by taking the first 1--2 lines from the README,
  and including the citation at the end of the README too?
- Please enable tests. If they download data, try disabling the tests which do
  this and please make a note in the spec.
- Missing requires, please include the dep generator (requires mentioned in
  setup.py so that should be enough, but please double-check)


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Expat License", "Unknown or generated". 16 files have unknown
     license. Detailed output of licensecheck in /home/asinha/1655725
     -python-missingno/licensecheck.txt
^ This is OK. It is MIT.

[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
^
Requires missing.

[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[!]: Final provides and requires are sane (see attachments).
^ Noted above.

[?]: Package functions as described.
^
Should be confirmed by tests.

[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
^ Please check to see if tests run, and document if they dont and also inform
upstream

[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-missingno-0.4.0-1.fc30.noarch.rpm
          python-missingno-0.4.0-1.fc30.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
python3-missingno (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python3-missingno:
    python3-missingno
    python3.7dist(missingno)
    python3dist(missingno)



Source checksums
----------------
https://github.com/ResidentMario/missingno/archive/0.4.0/missingno-0.4.0.tar.gz :
  CHECKSUM(SHA256) this package     : 55eee0b7116c36d6639144d86c93fba6be4a26cf293ea2e9cbc2ad68780a7c7d
  CHECKSUM(SHA256) upstream package : 55eee0b7116c36d6639144d86c93fba6be4a26cf293ea2e9cbc2ad68780a7c7d


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1655725
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 3 Luis Bazan 2019-03-20 18:52:22 UTC
Hi Ankur --

- test enable but I created the issue:
https://github.com/ResidentMario/missingno/issues/85

- Add 2 lines of readme in description
- add dep generator

Cheers,

SPEC: https://lbazan.fedorapeople.org/python-missingno.spec
SRPM: https://lbazan.fedorapeople.org/python-missingno-0.4.0-2.fc29.src.rpm

Comment 4 Ankur Sinha (FranciscoD) 2019-03-20 19:44:08 UTC
The build fails in mock:

RPM build errors:
+ echo 'backend: Agg'
BUILDSTDERR: /var/tmp/rpm-tmp.Viefo9: line 31: /builddir/.config/matplotlib/matplotlibrc: No such file or directory
BUILDSTDERR: error: Bad exit status from /var/tmp/rpm-tmp.Viefo9 (%check)


I expect it's because `~/.config/matplotlib/` directories do not exist. So an `mkdir -p ~/.config/matplotlib/` before the echo command should fix it.

Comment 5 Luis Bazan 2019-03-20 21:21:53 UTC
- BR descartes added
- add mkdir -p ~/.config/matplotlib/


SPEC: https://lbazan.fedorapeople.org/python-missingno.spec
SRPM: https://lbazan.fedorapeople.org/python-missingno-0.4.0-2.fc29.src.rpm

Comment 6 Ankur Sinha (FranciscoD) 2019-03-20 22:03:55 UTC
Looks good.  XXX APPROVED XXX

A few tiny issues that should be fixed before the import:

- Please check and add Requires on pandas, geopandas, geoplot. These aren't
  provided in setup.py, and so not picked up by the automatic generator.

$ ag import
missingno/missingno.py
1:import numpy as np
2:import matplotlib as mpl
3:from matplotlib import gridspec
4:import matplotlib.pyplot as plt
5:from scipy.cluster import hierarchy
6:import seaborn as sns
7:import pandas as pd
8:from .utils import nullity_filter, nullity_sort
9:import warnings
454:    import geoplot as gplt
455:    import geopandas as gpd
456:    from shapely.geometry import Point


- Please include these files in the docs too since they include the ipython
  file and the citation etc: CONFIGURATION.md paper.bib  paper.md QuickStart.ipynb

- Maybe worth recommending ipython as a weak suggestion?


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "Expat License". 16 files have unknown
     license. Detailed output of licensecheck in /home/asinha/dump/fedora-
     reviews/1655725-python-missingno/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
^ Issue noted.

[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[!]: Final provides and requires are sane (see attachments).
^ Issue noted.

[?]: Package functions as described.
Untested, but tests all pass.

[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-missingno-0.4.0-2.fc31.noarch.rpm
          python-missingno-0.4.0-2.fc31.src.rpm
python3-missingno.noarch: W: spelling-error %description -l en_US datasets -> data sets, data-sets, databases
python3-missingno.noarch: W: spelling-error %description -l en_US toolset -> tool set, tool-set, Togolese
python3-missingno.noarch: W: spelling-error %description -l en_US dataset -> data set, data-set, database
python-missingno.src: W: spelling-error %description -l en_US datasets -> data sets, data-sets, databases
python-missingno.src: W: spelling-error %description -l en_US toolset -> tool set, tool-set, Togolese
python-missingno.src: W: spelling-error %description -l en_US dataset -> data set, data-set, database
2 packages and 0 specfiles checked; 0 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "en_GB.utf8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "en_GB.utf8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "en_GB.utf8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
sh: /usr/bin/python: No such file or directory
python3-missingno.noarch: W: spelling-error %description -l en_US datasets -> data sets, data-sets, databases
python3-missingno.noarch: W: spelling-error %description -l en_US toolset -> tool set, tool-set, tool's
python3-missingno.noarch: W: spelling-error %description -l en_US dataset -> data set, data-set, database
python3-missingno.noarch: W: invalid-url URL: https://github.com/ResidentMario/missingno <urlopen error [Errno -2] Name or service not known>
1 packages and 0 specfiles checked; 0 errors, 4 warnings.



Source checksums
----------------
https://github.com/ResidentMario/missingno/archive/0.4.0/missingno-0.4.0.tar.gz :
  CHECKSUM(SHA256) this package     : 55eee0b7116c36d6639144d86c93fba6be4a26cf293ea2e9cbc2ad68780a7c7d
  CHECKSUM(SHA256) upstream package : 55eee0b7116c36d6639144d86c93fba6be4a26cf293ea2e9cbc2ad68780a7c7d


Requires
--------
python3-missingno (rpmlib, GLIBC filtered):
    python(abi)
    python3.7dist(matplotlib)
    python3.7dist(numpy)
    python3.7dist(scipy)
    python3.7dist(seaborn)



Provides
--------
python3-missingno:
    python3-missingno
    python3.7dist(missingno)
    python3dist(missingno)



Generated by fedora-review 0.7.0 (dfc9dd8) last change: 2019-03-17
Command line :/usr/bin/fedora-review -b 1655725 --mock-config fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, Generic, Python
Disabled plugins: Perl, Java, R, C/C++, fonts, Haskell, PHP, Ocaml, SugarActivity
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 7 Gwyn Ciesla 2019-03-21 13:19:56 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-missingno

Comment 8 Fedora Update System 2019-03-21 15:04:17 UTC
python-missingno-0.4.0-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-6700ff4174

Comment 9 Fedora Update System 2019-03-21 15:04:30 UTC
python-missingno-0.4.0-2.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e54abe8e25

Comment 10 Fedora Update System 2019-03-21 19:12:54 UTC
python-missingno-0.4.0-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e54abe8e25

Comment 11 Fedora Update System 2019-03-21 21:19:17 UTC
python-missingno-0.4.0-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-6700ff4174

Comment 12 Fedora Update System 2019-03-29 19:19:18 UTC
python-missingno-0.4.0-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2019-03-29 21:03:39 UTC
python-missingno-0.4.0-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.